#############################################################################
# Makefile for building: ../bin/lecture_table_alarmes
# Generated by qmake (2.01a) (Qt 4.5.2) on: jeu. sept. 10 20:52:16 2009
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -nocache -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtSql -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = lectlabel.cpp \
		lecturedialog.cpp \
		main.cpp \
		modifierdialog.cpp \
		parametre.cpp moc_lectlabel.cpp \
		moc_lecturedialog.cpp \
		moc_modifierdialog.cpp \
		moc_parametre.cpp
OBJECTS       = lectlabel.o \
		lecturedialog.o \
		main.o \
		modifierdialog.o \
		parametre.o \
		moc_lectlabel.o \
		moc_lecturedialog.o \
		moc_modifierdialog.o \
		moc_parametre.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = lecture_table_alarmes
DESTDIR       = ../bin/
TARGET        = ../bin/lecture_table_alarmes

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_lecturealarmes.h ui_modifierdialog.h ui_alertedialog.h ui_parametre.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../bin/ || $(MKDIR) ../bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -nocache -unix -o Makefile src.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -nocache -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/lecture_table_alarmes1.0.0 || $(MKDIR) .tmp/lecture_table_alarmes1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/lecture_table_alarmes1.0.0/ && $(COPY_FILE) --parents connexion.h lectlabel.h lecturedialog.h modifierdialog.h parametre.h .tmp/lecture_table_alarmes1.0.0/ && $(COPY_FILE) --parents lectlabel.cpp lecturedialog.cpp main.cpp modifierdialog.cpp parametre.cpp .tmp/lecture_table_alarmes1.0.0/ && $(COPY_FILE) --parents lecturealarmes.ui modifierdialog.ui alertedialog.ui parametre.ui .tmp/lecture_table_alarmes1.0.0/ && (cd `dirname .tmp/lecture_table_alarmes1.0.0` && $(TAR) lecture_table_alarmes1.0.0.tar lecture_table_alarmes1.0.0 && $(COMPRESS) lecture_table_alarmes1.0.0.tar) && $(MOVE) `dirname .tmp/lecture_table_alarmes1.0.0`/lecture_table_alarmes1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/lecture_table_alarmes1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_lectlabel.cpp moc_lecturedialog.cpp moc_modifierdialog.cpp moc_parametre.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_lectlabel.cpp moc_lecturedialog.cpp moc_modifierdialog.cpp moc_parametre.cpp
moc_lectlabel.cpp: lectlabel.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) lectlabel.h -o moc_lectlabel.cpp

moc_lecturedialog.cpp: ui_lecturealarmes.h \
		modifierdialog.h \
		ui_modifierdialog.h \
		lectlabel.h \
		lecturedialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) lecturedialog.h -o moc_lecturedialog.cpp

moc_modifierdialog.cpp: ui_modifierdialog.h \
		modifierdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) modifierdialog.h -o moc_modifierdialog.cpp

moc_parametre.cpp: ui_parametre.h \
		parametre.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) parametre.h -o moc_parametre.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_lecturealarmes.h ui_modifierdialog.h ui_alertedialog.h ui_parametre.h
compiler_uic_clean:
	-$(DEL_FILE) ui_lecturealarmes.h ui_modifierdialog.h ui_alertedialog.h ui_parametre.h
ui_lecturealarmes.h: lecturealarmes.ui
	/usr/bin/uic-qt4 lecturealarmes.ui -o ui_lecturealarmes.h

ui_modifierdialog.h: modifierdialog.ui
	/usr/bin/uic-qt4 modifierdialog.ui -o ui_modifierdialog.h

ui_alertedialog.h: alertedialog.ui
	/usr/bin/uic-qt4 alertedialog.ui -o ui_alertedialog.h

ui_parametre.h: parametre.ui
	/usr/bin/uic-qt4 parametre.ui -o ui_parametre.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

lectlabel.o: lectlabel.cpp lecturedialog.h \
		ui_lecturealarmes.h \
		modifierdialog.h \
		ui_modifierdialog.h \
		lectlabel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o lectlabel.o lectlabel.cpp

lecturedialog.o: lecturedialog.cpp lecturedialog.h \
		ui_lecturealarmes.h \
		modifierdialog.h \
		ui_modifierdialog.h \
		lectlabel.h \
		parametre.h \
		ui_parametre.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o lecturedialog.o lecturedialog.cpp

main.o: main.cpp lecturedialog.h \
		ui_lecturealarmes.h \
		modifierdialog.h \
		ui_modifierdialog.h \
		lectlabel.h \
		connexion.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

modifierdialog.o: modifierdialog.cpp modifierdialog.h \
		ui_modifierdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o modifierdialog.o modifierdialog.cpp

parametre.o: parametre.cpp parametre.h \
		ui_parametre.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o parametre.o parametre.cpp

moc_lectlabel.o: moc_lectlabel.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_lectlabel.o moc_lectlabel.cpp

moc_lecturedialog.o: moc_lecturedialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_lecturedialog.o moc_lecturedialog.cpp

moc_modifierdialog.o: moc_modifierdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_modifierdialog.o moc_modifierdialog.cpp

moc_parametre.o: moc_parametre.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_parametre.o moc_parametre.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

